----------Void Miner Recipes------------

local burner_void_miner = {
	enabled = true,
	ingredients = {
		{"electronic-circuit", 1},
		{"iron-plate", 5},
		{"iron-gear-wheel", 5},
		{"stone-furnace", 1},
	},
	name = "burner-void-miner",
	result = "burner-void-miner",
	type = "recipe",
}

local void_miner_1 = {
	enabled = false,
	ingredients = {
		{"electronic-circuit", 5},
		{"steel-plate", 10},
		{"iron-gear-wheel", 10},
	},
	name = "void-miner-1",
	result = "void-miner-1",
	type = "recipe",
}

local void_miner_2 = {
	enabled = false,
	ingredients = {
		{"advanced-circuit", 100},
		{"steel-plate", 200},
		{"processing-unit", 25},
		{"void-miner-1", 1}
	},
	name = "void-miner-2",
	result = "void-miner-2",
	type = "recipe",
}

local void_miner_3 = {
	enabled = false,
	ingredients = {
		{"uranium-235", 80},
		{"steel-plate", 500},
		{"processing-unit", 250},
		{"void-miner-2", 1},
	},
	name = "void-miner-3",
	result = "void-miner-3",
	type = "recipe",
}

----------Item/Resource Recipes------------

local void_mining_wood = {
	category = "simple-void-mining",
	enabled = true,
	energy_required = 1,
	--icon = "",
	--icon_size= ,
	ingredients = {},
	name = "void-mining-wood",
	--order
	results = {
		{name = "wood", amount = 1, type = "item"}
	},
	type = "recipe",
}

local void_mining_stone = {
	category = "simple-void-mining",
	enabled = true,
	energy_required = 1,
	--icon = "",
	--icon_size= ,
	ingredients = {},
	name = "void-mining-stone",
	--order
	results = {
		{name = "stone", amount = 1, type = "item"}
	},
	type = "recipe",
}

local void_mining_iron_ore = {
	category = "simple-void-mining",
	enabled = true,
	energy_required = 1,
	--icon = "",
	--icon_size= ,
	ingredients = {},
	name = "void-mining-iron-ore",
	--order
	results = {
		{name = "iron-ore", amount = 1, type = "item"}
	},
	type = "recipe",
}

local void_mining_copper_ore = {
	category = "simple-void-mining",
	enabled = true,
	energy_required = 1,
	--icon = "",
	--icon_size= ,
	ingredients = {},
	name = "void-mining-copper-ore",
	--order
	results = {
		{name = "copper-ore", amount = 1, type = "item"}
	},
	type = "recipe",
}

local void_mining_fish = {
	category = "simple-void-mining",
	enabled = true,
	energy_required = 1,
	--icon = "",
	--icon_size= ,
	ingredients = {},
	name = "void-mining-fish",
	--order
	results = {
		{name = "raw-fish", amount = 1, type = "item"}
	},
	type = "recipe",
}

local void_mining_simple_coal = {
	category = "electric-void-mining",
	enabled = false,
	energy_required = 2,
	--icon = "",
	--icon_size= ,
	ingredients = {
		{name = "wood", amount = 2, type = "item"}
	},
	name = "void-mining-simple-coal",
	--order
	results = {
		{name = "coal", amount = 1, type = "item"}
	},
	type = "recipe",
}

local void_mining_simple_oil = {
	category = "electric-void-mining",
	enabled = false,
	energy_required = 10,
	--icon = "",
	--icon_size= ,
	ingredients = {
		{name = "coal", amount = 10, type = "item"}
	},
	name = "void-mining-simple-oil",
	--order
	results = {
		{name = "crude-oil", amount = 100, type = "fluid"}
	},
	type = "recipe",
}

local void_mining_coal = {
	category = "advanced-void-mining",
	enabled = false,
	energy_required = 1,
	--icon = "",
	--icon_size= ,
	ingredients = {},
	name = "void-mining-coal",
	--order
	results = {
		{name = "coal", amount = 1, type = "item"}
	},
	type = "recipe",
}

local void_mining_oil = {
	category = "advanced-void-mining",
	enabled = false,
	energy_required = 5,
	--icon = "",
	--icon_size= ,
	ingredients = {},
	name = "void-mining-oil",
	--order
	results = {
		{name = "crude-oil", amount = 100, type = "fluid"},
	},
	type = "recipe",
}

local void_mining_coal = {
	category = "advanced-void-mining",
	enabled = false,
	energy_required = 1,
	--icon = "",
	--icon_size= ,
	ingredients = {},
	name = "void-mining-coal",
	--order
	results = {
		{name = "coal", amount = 1, type = "item"}
	},
	type = "recipe",
}

local void_mining_uranium = {
	category = "advanced-void-mining",
	enabled = false,
	energy_required = 50,
	--icon = "",
	--icon_size= ,
	ingredients = {
		{name = "sulfur", amount = 5, type = "item"},
	},
	name = "void-mining-uranium",
	--order
	results = {
		{name = "uranium-ore", amount = 50, type = "item"}
	},
	type = "recipe",
}

local void_mining_uranium235 = {
	category = "nuclear-void-mining",
	enabled = false,
	energy_required = 60,
	--icon = "",
	--icon_size= ,
	ingredients = {},
	name = "void-mining-uranium235",
	--order
	results = {
		{name = "uranium-235", amount = 1, type = "item"}
	},
	type = "recipe",
}

data:extend({
    burner_void_miner,
	void_miner_1,
	void_miner_2,
	void_miner_3,
	
	void_mining_wood,
	void_mining_stone,
	void_mining_iron_ore,
	void_mining_copper_ore,
	void_mining_fish,
	void_mining_simple_coal,
	void_mining_simple_oil,
	void_mining_coal,
	void_mining_oil,
	void_mining_uranium,
	void_mining_uranium235,
})